import { defineComponent as c, createElementBlock as s, openBlock as a, createElementVNode as n, toDisplayString as i, resolveDirective as l, withDirectives as p } from "vue";
const d = { class: "space-y-4" }, u = { class: "fm-typo-en-body-lg-400 text-fm-color-typo-secondary" }, m = { class: "fm-typo-en-body-lg-600" }, y = /* @__PURE__ */ c({
  __name: "InfoBasic",
  props: {
    name: {
      type: String,
      required: !0
    },
    value: {
      type: String,
      required: !0
    }
  },
  setup(e) {
    return (t, o) => (a(), s("div", d, [
      n("div", u, i(e.name), 1),
      n("div", m, i(e.value), 1)
    ]));
  }
});
function f(e, t, o = 110) {
  const r = l("tooltip");
  return p(e, [[r, { content: t, zIndex: o }]]);
}
function v(e, t = 110) {
  return { content: e, zIndex: t };
}
export {
  v as _,
  y as a,
  f as w
};
